org.gitana.platform.services.job

## Enum JobState

- java.lang.Object
- - java.lang.Enum<JobState>
  - - org.gitana.platform.services.job.JobState

All Implemented Interfaces:
  Serializable, Comparable<JobState>

    public enum JobState
    extends Enum<JobState>

Author:
  uzi

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AWAITING`
`ERROR`
`FINISHED`
`NONE`
`PAUSED`
`RUNNING`
`WAITING`

### Method Summary

All Methods Static Methods Concrete Methods
`static JobState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final JobState NONE

#### WAITING

    public static final JobState WAITING

#### RUNNING

    public static final JobState RUNNING

#### FINISHED

    public static final JobState FINISHED

#### ERROR

    public static final JobState ERROR

#### PAUSED

    public static final JobState PAUSED

#### AWAITING

    public static final JobState AWAITING

### Method Detail

#### values

    public static JobState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JobState c : JobState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JobState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null